Skip to main content
POST
/
v2
/
admin
/
terms-versions
Publish Terms Version
curl --request POST \
  --url https://api.loyalty.dog/v2/admin/terms-versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": "<string>",
  "effectiveDate": "2023-11-07T05:31:56Z",
  "contentUrl": "<string>",
  "summaryOfChanges": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Body

application/json
documentType
enum<string>
required
Available options:
tos,
dpa,
privacy
version
string
required
Required string length: 1 - 50
effectiveDate
string<date-time>
required
contentUrl
string
required
Minimum string length: 1
summaryOfChanges
string | null

Response

Successful Response